Skip to Content
aicentos
API エンドポイント動画 APISora

Sora · 動画タスクステータスの取得

タスク ID で Sora の動画生成の進行状況を照会し、ステータスと失敗理由を取得します

最終更新:

動画(Videos)Veo(OpenAI 互換)

GET /videos/{task_id}

認証

API キーを環境変数 AICENTOS_API_KEY に設定してください。シェルの例では、その値を Authorization: Bearer ヘッダーに展開します。

コンソールの「トークン管理」で取得した API Key

場所:header

Path パラメーター

task_id*string

レスポンスボディ

application/json

export AICENTOS_API_KEY="sk-your-aicentos-api-key"

curl -X GET "https://aicentos.com/v1/videos/string" \
  -H "Authorization: Bearer $AICENTOS_API_KEY"
{
  "id": "string",
  "task_id": "string",
  "status": "queued",
  "progress": 0,
  "url": "string",
  "error": "string"
}